package com.ynet.life.sujrb.action;

import com.Ostermiller.util.Base64;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.GZIPInputStream;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/DataConvertToImageBillAction.class */
public class DataConvertToImageBillAction extends LifeAction {
    private String data;
    private String downloadFile;

    public String execute(Context context) throws GENEException {
        FileOutputStream fos = null;
        String imagePath = String.valueOf(LifeFile.getTempFileRootPath()) + "download" + File.separator + "account" + File.separator + "bill" + File.separator;
        File imageFile = new File(String.valueOf(imagePath) + "_" + context.getDataValue("month") + "_" + context.getDataValue("chartId") + ".jpg");
        File fImagePath = new File(imagePath);
        Context context2 = (String) context.getDataValue(this.data);
        try {
            try {
                if (!fImagePath.exists()) {
                    fImagePath.mkdirs();
                }
                if (imageFile.exists() && imageFile.length() > 0) {
                    imageFile.delete();
                }
                byte[] strImage = uncompress(Base64.decodeToBytes(context2, "ISO-8859-1"));
                FileOutputStream fileOutputStream = new FileOutputStream(imageFile);
                fos = fileOutputStream;
                fileOutputStream.write(strImage);
                context2 = context;
                context2.setDataValue("downloadFile", imageFile.toString().replace("\\\\", "\\"));
                try {
                    fos.flush();
                    fos.close();
                    return "0";
                } catch (IOException unused) {
                    Trace.logWarning("LifeAction", "文件对象关闭异常");
                    return "0";
                }
            } catch (IOException e) {
                context2.printStackTrace();
                throw new TranFailException("GRZD02", "IOException  获取账单图表数据失败");
            }
        } catch (Throwable th) {
            if (fos != null) {
                try {
                    fos.flush();
                    fos.close();
                } catch (IOException unused2) {
                    Trace.logWarning("LifeAction", "文件对象关闭异常");
                }
            }
            throw th;
        }
    }

    public static byte[] uncompress(byte[] b) throws IOException {
        if (b == null || b.length == 0) {
            return null;
        }
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        ByteArrayInputStream in = new ByteArrayInputStream(b);
        GZIPInputStream gunzip = new GZIPInputStream(in);
        byte[] buffer = new byte[256];
        while (true) {
            int n = gunzip.read(buffer);
            if (n >= 0) {
                out.write(buffer, 0, n);
            } else {
                return out.toByteArray();
            }
        }
    }

    public String getData() {
        return this.data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getDownloadFile() {
        return this.downloadFile;
    }

    public void setDownloadFile(String downloadFile) {
        this.downloadFile = downloadFile;
    }
}
